Package org.eclipse.mat.snapshot.query

## Enum TQuantize.Target

- java.lang.Object
- - java.lang.Enum<TQuantize.Target>
  - - org.eclipse.mat.snapshot.query.TQuantize.Target

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<TQuantize.Target>`

Enclosing class:
  TQuantize

    public static enum TQuantize.Target
    extends java.lang.Enum<TQuantize.Target>

Well-known default aggregations.

### Enum Constant Summary

Enum Constants
`CLASSLOADER` Aggregate by class loader
`PACKAGE` Aggregate by package

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.net.URL` `getIcon()`
`java.lang.String` `getLabel()`
`java.lang.String` `getTitle​(java.lang.String command)`
`static TQuantize.Target` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TQuantize.Target[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CLASSLOADER

    public static final TQuantize.Target CLASSLOADER

Aggregate by class loader

#### PACKAGE

    public static final TQuantize.Target PACKAGE

Aggregate by package

### Method Detail

#### values

    public static TQuantize.Target[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TQuantize.Target c : TQuantize.Target.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TQuantize.Target valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getLabel

    public java.lang.String getLabel()

#### getTitle

    public java.lang.String getTitle​(java.lang.String command)

#### getIcon

    public java.net.URL getIcon()